Skip to main content
POST
/
v1
/
property
cURL
curl --request POST \
  --url https://revive-api-v2-production.herokuapp.com/v1/property/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "streetAddress": "<string>",
  "state": "<string>",
  "bedrooms": 123,
  "yearBuilt": 123,
  "application": "<string>",
  "opportunityId": "<string>",
  "reportType": "<string>",
  "rejectedReason": "<string>",
  "sellingTimeFrame": "<string>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
streetAddress
string
required
state
string
required
bedrooms
number
required
yearBuilt
number
required
application
string
opportunityId
string
reportType
string
rejectedReason
string
sellingTimeFrame
string

Response

200

Success